Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 602539 - quassel-core lacks an init.d script
quassel-core lacks an init.d script
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: quassel (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ben Rosser
Fedora Extras Quality Assurance
: FutureFeature, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 00:55 EDT by William Chambers
Modified: 2016-03-30 17:19 EDT (History)
13 users (show)

See Also:
Fixed In Version: quassel-0.12.3-4.fc24 quassel-0.12.3-4.fc23 quassel-0.12.3-4.fc22
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 13:55:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
init.d script for RHEL (3.13 KB, text/plain)
2012-11-02 12:50 EDT, Tom Fonteyne
no flags Details
Add support for using quasselcore as a systemd service (2.75 KB, patch)
2013-05-15 20:49 EDT, John Villalovos
no flags Details | Diff
V2 of patch to support running quasselcore as a systemd service (2.86 KB, patch)
2013-05-16 03:35 EDT, John Villalovos
no flags Details | Diff
V3 of patch to support running quasselcore as a systemd service (2.98 KB, patch)
2013-05-16 13:46 EDT, John Villalovos
no flags Details | Diff

  None (edit)
Description William Chambers 2010-06-10 00:55:15 EDT
Description of problem: Quassel lacks an init.d script which makes it difficult to actually use quassel-core. The point of quassel-core is to run on a server as a daemon and without an init.d script it is difficult to do so.


Version-Release number of selected component (if applicable): 0.6.1-1.fc13 (i686)

Steps to Reproduce:
1. SSL into a server with the quassel-core package installed
2. Attempt to run it with /etc/init.d/quasselcore
  
Actual results: Error since there is no init.d script.

Expected results: quasselcore to run as a daemon.


Additional info: Ubuntu has an init.d script for quassel which may be useful as a reference.
Comment 1 Bug Zapper 2011-06-02 07:22:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 13:55:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Torrie Fischer 2011-09-12 00:01:28 EDT
Still no init script in latest version. Just poking the bug to reopen it.
Comment 4 Niels 2012-10-23 14:04:03 EDT
Still valid in Fedora 17 with quassel-core 0.7.3.
Comment 5 Tom Fonteyne 2012-11-02 12:50:38 EDT
Created attachment 637171 [details]
init.d script for RHEL

Attaching a simple version of an init.d script for quasselcore. It has only been tested briefly, but seems to do the job well for my own setup.

Some configuration will be needed at the top of the script like where to find the binary etc....
Comment 6 Fedora End Of Life 2013-04-03 16:16:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 John Villalovos 2013-05-15 18:53:04 EDT
Or a systemd service file would be good.  Either way.

Though I would think that this will require changes so that a 'quassel' system user is created (maybe with a home directory /var/lib/quassel/).

I tweaked the quassel.service and quassel.conf files from:
https://aur.archlinux.org/packages.php?ID=42085

To get a systemd service file working.  But I manually created the quassel user.  That step would need to be in the spec file.
Comment 8 John Villalovos 2013-05-15 20:49:59 EDT
Created attachment 748540 [details]
Add support for using quasselcore as a systemd service

Attached is a patch which adds support for using quasselcore as a systemd service.  It takes care of creating the 'quassel' user in the spec file.  Installing the files needed for systemd usage.

The patch is against the latest git source code as of today at:
git://pkgs.fedoraproject.org/quassel.git
Comment 9 John Villalovos 2013-05-16 03:35:27 EDT
Created attachment 748630 [details]
V2 of patch to support running quasselcore as a systemd service

Fixed some issues found with rpmlint.  Also create the /var/lib/quassel/ directory.  Have root own /etc/quassel.conf
Comment 10 John Villalovos 2013-05-16 13:46:01 EDT
Created attachment 748977 [details]
V3 of patch to support running quasselcore as a systemd service

Version 3 of patch to support running quasselcore as a systemd service.

Make the /var/lib/quassel/ directory NOT be world readable as private configuration date is contained inside.
Comment 12 Ricky Burgin 2013-08-09 14:25:30 EDT
Is a package with an actual systemd service and configuration being worked on? Installed Fedora 19 today to quassel-core, only to find the package was essentially useless and a terrible user experience. It would be better if there was no package at all rather than one like this. Providing such a package is somewhat misleading.
Comment 13 John Villalovos 2014-01-20 02:20:38 EST
Steven Parish,

Are you going to take any action on this bug?
Comment 14 Rahul Sundaram 2014-01-20 04:36:27 EST
Scratch builds for Rawhide,Fedora 20 and Fedora 19 below

Rawhide
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428649

Fedora 20
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428694

Fedora 19
http://koji.fedoraproject.org/koji/taskinfo?taskID=6428700

I intend to use my provenpackager access to fix this bug.  Thank you for testing
Comment 15 Ben Rosser 2014-07-03 11:47:55 EDT
Was the patch not included in that build? I have quassel version 0.9.2-1.fc20 installed but there doesn't appear to be a systemd service file included still.
Comment 16 Fedora End Of Life 2015-01-09 16:44:15 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Ben Rosser 2015-02-12 15:24:05 EST
Appears to still be valid in F21, at the very least I can't find a quasselcore service file.
Comment 18 Fedora End Of Life 2015-11-04 10:41:15 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-12-01 21:33:25 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 20 Ben Rosser 2016-01-19 16:14:14 EST
I confess to being somewhat frustrated that this has not been fixed in the last *six* years.

According to a discussion on -devel, the primary quassel maintainer is not very active (and hasn't been for a while). I would be happy to help co-maintain the packages too if it would help; I've just started contributing code to quassel upstream and I am running a quasselcore instance on one of my machines.
Comment 21 Rahul Sundaram 2016-01-19 19:21:39 EST
I would recommend following https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers and take over the package if needed
Comment 22 Fedora Admin XMLRPC Client 2016-01-25 11:25:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 23 Fedora Admin XMLRPC Client 2016-01-25 12:09:24 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 24 Ben Rosser 2016-02-24 15:47:07 EST
I've merged an updated version of John Villalovos's patch that adds a systemd service file, quassel user (home directory in /var/lib/quassel), and simple configuration file (/etc/quassel.conf) that can be used to change the listen address and port on quassel.

The quasselcore service file can start and stop the core successfully.

I'm going to push this to Rawhide as 0.12.3-2; unless there are objections I'd like to push this out as an update to stable versions too. If you don't want to use the service file for whatever reason, you can still run the quasselcore binary manually, of course, so this shouldn't be a change that breaks anything for anyone, I think.
Comment 25 Ben Rosser 2016-02-27 12:48:50 EST
Done. quassel-0.12.3-2 now contains the aforementioned changes.

Package for Rawhide: http://koji.fedoraproject.org/koji/buildinfo?buildID=738649.

Package for F24: http://koji.fedoraproject.org/koji/buildinfo?buildID=739455 (ARM is still building).
Comment 26 Fedora Update System 2016-03-12 15:20:35 EST
quassel-0.12.3-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fccdc17f6c
Comment 27 Fedora Update System 2016-03-12 15:21:38 EST
quassel-0.12.3-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-07573f73f7
Comment 28 Fedora Update System 2016-03-13 21:20:04 EDT
quassel-0.12.3-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-07573f73f7
Comment 29 Fedora Update System 2016-03-15 15:22:10 EDT
quassel-0.12.3-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fccdc17f6c
Comment 30 Fedora Update System 2016-03-16 21:54:29 EDT
quassel-0.12.3-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c06d92bfe
Comment 31 Fedora Update System 2016-03-18 10:57:30 EDT
quassel-0.12.3-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3c06d92bfe
Comment 32 Fedora Update System 2016-03-19 17:46:51 EDT
quassel-0.12.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae7401f987
Comment 33 Fedora Update System 2016-03-19 17:47:46 EDT
quassel-0.12.3-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-355046a455
Comment 34 Fedora Update System 2016-03-20 17:19:55 EDT
quassel-0.12.3-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-355046a455
Comment 35 Fedora Update System 2016-03-20 17:19:57 EDT
quassel-0.12.3-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ae7401f987
Comment 36 Ben Rosser 2016-03-21 20:48:23 EDT
Argh, I forgot to BuildRequires: firewalld-filesystem, so the RPM I built to test only worked because I didn't use mock to build it. :( Fixed that, will push an update... again. Sorry for the updates spam.
Comment 37 Fedora Update System 2016-03-21 21:15:11 EDT
quassel-0.12.3-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d63a8d983
Comment 38 Fedora Update System 2016-03-21 21:15:52 EDT
quassel-0.12.3-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24add0e61c
Comment 39 Fedora Update System 2016-03-21 21:16:29 EDT
quassel-0.12.3-4.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-54109d3bad
Comment 40 Fedora Update System 2016-03-22 12:55:39 EDT
quassel-0.12.3-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0d63a8d983
Comment 41 Fedora Update System 2016-03-22 17:26:03 EDT
quassel-0.12.3-4.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-54109d3bad
Comment 42 Fedora Update System 2016-03-22 17:31:32 EDT
quassel-0.12.3-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24add0e61c
Comment 43 Fedora Update System 2016-03-26 13:55:02 EDT
quassel-0.12.3-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 44 Fedora Update System 2016-03-30 16:53:17 EDT
quassel-0.12.3-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 45 Fedora Update System 2016-03-30 17:19:38 EDT
quassel-0.12.3-4.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.